> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Status

> Return checked-in patients with their appointment checklists for today.



## OpenAPI

````yaml get /check-in/calendar/patient-status
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/patient-status:
    get:
      tags:
        - provider
        - check-in
        - calendar
      summary: Get Patient Status
      description: Return checked-in patients with their appointment checklists for today.
      operationId: get_patient_status_check_in_calendar_patient_status_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: timezone
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Timezone
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PatientStatusEvent'
                title: >-
                  Response Get Patient Status Check In Calendar Patient Status
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatientStatusEvent:
      properties:
        event:
          $ref: '#/components/schemas/PatientStatusEventTiny'
        checklist:
          items:
            $ref: '#/components/schemas/AppointmentChecklistItem'
          type: array
          title: Checklist
      type: object
      required:
        - event
        - checklist
      title: PatientStatusEvent
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PatientStatusEventTiny:
      properties:
        id:
          type: string
          title: Id
        start:
          type: string
          format: date-time
          title: Start
        end:
          type: string
          format: date-time
          title: End
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        attendees:
          items:
            $ref: '#/components/schemas/UserTiny'
          type: array
          title: Attendees
          default: []
        serviceNames:
          items:
            type: string
          type: array
          title: Servicenames
          default: []
      type: object
      required:
        - id
        - start
        - end
      title: PatientStatusEventTiny
    AppointmentChecklistItem:
      properties:
        id:
          type: string
          title: Id
        eventId:
          type: string
          title: Eventid
        serviceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Serviceid
        name:
          type: string
          title: Name
        type:
          anyOf:
            - $ref: '#/components/schemas/AppointmentChecklistType'
            - type: 'null'
        optional:
          type: boolean
          title: Optional
        position:
          type: integer
          title: Position
        completedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completeddate
        completedByUser:
          anyOf:
            - $ref: '#/components/schemas/UserTiny'
            - type: 'null'
      type: object
      required:
        - id
        - eventId
        - name
        - optional
        - position
      title: AppointmentChecklistItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserTiny:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
      type: object
      required:
        - id
        - type
      title: UserTiny
    AppointmentChecklistType:
      type: string
      enum:
        - FILLED_FORM
        - CHECKED_IN
        - WITH_MA
        - MEASUREMENT_TAKEN
        - DOSE_TAKEN
        - WITH_PROVIDER
        - NOTE_TAKEN
        - PAYMENT_MADE
        - REQUEST_GFE
        - PICTURE_TAKEN
      title: AppointmentChecklistType
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType

````